Eventum Logo

Eventum

InstanceSettings

Update Settings

Update settings. Note that this only updates file. For changes to take effect u have to restart instance.

PUT
/instance/settings

Request Body

application/json

server*

Server parameters.

Attributes

ui_enabled : bool, default = True Whether to enable web UI.

api_enabled : bool, default = True Whether to enable REST API.

host : str, default='0.0.0.0' Bind address for server process.

port : int, default=9474 Bind port for server process,

ssl : SSLParameters, default=SSLParameters(...) SSL parameters.

auth : AuthParameters Auth parameters.

generation*

Generation parameters that are common for all generators and can be overridden from generator parameters level.

Attributes

timezone : str, default='UTC' Time zone for generating timestamps.

batch : BatchParameters, default=BatchParameters(...) Batch parameters.

queue : QueueParameters, default=QueueParameters(...) Queue parameters.

keep_order : bool, default=False Whether to keep chronological order of events using their timestamps by disabling output plugins concurrency.

max_concurrency : int, default=100 Maximum number of write operations performed by output plugins concurrently.

write_timeout : int, default=10 Timeout (in seconds) before canceling single write task.

log*

Log parameters.

Attributes

level : Literal['debug', 'info', 'warning', 'error', 'critical'], default='info' Logging level.

format : Literal['plain', 'json'], default='plain' Logging format.

max_bytes : int, default=10485760 Max bytes for log file before rotation.

backups : int, default=5 Number of rotated log files to keep.

path*

Path parameters.

Attributes

logs : Path Path to logs directory.

startup : Path Path to file with list of generators to run at startup.

generators_dir : Path Path to directory with generators configuration files.

keyring_cryptfile : Path Path to keyring encrypted file with stored secrets

generator_config_filename : Path, default='generator.yml' Filename for generator configurations. This parameter is used by the API for detection directories with generator configurations. Directory with generator configuration named other than this parameter value will not be operable using API endpoints.

[key: string]?never

Response Body

application/json

application/json

curl -X PUT "https://eventum.example.com/api/instance/settings" \  -H "Content-Type: application/json" \  -d '{    "server": {},    "generation": {},    "log": {},    "path": {      "logs": "string",      "startup": "string",      "generators_dir": "string",      "keyring_cryptfile": "string"    }  }'
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}
Empty